## KHC CLI

## Open Sustainable Technology 
__A directory and analysis of the open source ecosystem in the areas of climate change, sustainable energy, biodiversity and natural resources.__ <br> <br>_Earth's uniqueness in creating a stable environment for life in a completely hostile space is a miracle. Various life forms have taken billions of years to build up the natural resources humans depend on, such as a protective atmosphere, fertile soil, stable seasons, and clean drinking water. As a movement to democratize technology development and knowledge creation, open source has the potential to become the central driver in preserving this stability. Open Sustainable Technology's mission is to gather projects that preserve natural ecosystems through open technology, methods, data, intelligence, knowledge or tools._

---

Command-line tool for analyzing and curating Awesome lists, specialized for sustainable and open source technologies.

## Installation

```bash
pip install khc-cli
```

## Version

```bash
khc-cli --version
```
## Help

```bash
khc-cli --help
```
## Commandes

### GitHub API check Status

```bash
khc-cli status
```

## Templates

The `khc-cli` uses a curated template structure for analyzing and organizing Awesome lists. 
This template focuses on sustainable technologies categories and helps structure the analysis results.

For developers: The template file is included as a resource in the package and is used by the 
`analyze` and `curate` commands.

### Awesome List Analysis

```bash
khc-cli analyze <url_github>
```

### More Options

```bash
khc-cli analyze --help

## Development

To contribute to the project:

```bash
# Cloner le dépôt
git clone https://github.com/Krypto-Hashers-Community/khc-cli.git
cd khc-cli

# Créer un environnement virtuel
python -m venv .venv
source .venv/bin/activate  # Linux/macOS
# ou
.venv\Scripts\activate  # Windows

# Installer les dépendances de développement
pip install -e ".[dev]"
```

## Contributing
We welcome contributions to KHC CLI! If you have suggestions for improvements or new features, please follow these steps:

1. Fork the repository on GitHub.
2. Clone your forked repository.
3. Create a new branch for your feature or bug fix.
4. Make your changes and commit them.
5. Push your changes to your forked repository.
6. Create a pull request to the main repository.
7. Ensure your code passes all tests and adheres to the project's coding standards.
8. Wait for review and feedback from the maintainers.
9. Address any feedback and make necessary changes.
10. Once approved, your changes will be merged into the main branch.


## License
This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.

---

KHC CLI is a command-line interface tool designed to facilitate the analysis and curation of Awesome lists, with a particular focus on open sustainable technology.

## References to the Open Source Community

Thanks to the Open Source Community that is involved in gathering projects that preserve natural ecosystems through open technology, methods, data, intelligence, knowledge or tools.
